=== release/Makefile ===
RELEASE = true
vpath %.cc ../bin

include ../bin/Makefile
