=== old-sample/legacy-checkmate/Makefile ===
all: 
	$(MAKE) -C bin
clean:
	$(MAKE) -C bin clean
	$(MAKE) -C lib clean
