=== debian/changelog ===
gpsshogi (0.7.0-3.3) unstable; urgency=medium

  * Non-maintainer upload
  * Build for any arch (Closes: #1110758)

  [ Gioele Barabucci ]
  * Move Debian packaging into debian/ and mark as overlay repo
    (Closes: #1094872)

 -- Bastian Germann <bage@debian.org>  Sun, 10 Aug 2025 23:41:07 +0200

gpsshogi (0.7.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/copyright: Convert to standardized format
  * d/copyright: Include EPL text (Closes: #1069119)

 -- Bastian Germann <bage@debian.org>  Tue, 16 Apr 2024 18:56:27 +0000

gpsshogi (0.7.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Tue, 27 Sep 2022 15:03:18 -0400

gpsshogi (0.7.0-3) unstable; urgency=medium

  * New maintainer (Closes: #964730).
  * Include a patch for latest svn changes, only impacting the "upstream"
    branch in salsa.
  * Switch away from CDBS, to full dh 12.
  * Remove extra -l flags for libs not directly used.
  * Fix build with current Qt5 versions.
  * Split gpsshogi-viewer into its own package (Closes: #874108).
  * Fix Vcs-* control fields for salsa.
  * Get rid or manual debian/control parsing (lintian).

 -- Yann Dirson <dirson@debian.org>  Sat, 19 Dec 2020 16:37:44 +0100

gpsshogi (0.7.0-2) unstable; urgency=medium

  * Fix compile errors on i386:
    - debian/patches/0005-Fix-compile-errors-on-i386.patch
    (Closes: #861644)

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 17 Jul 2017 07:27:47 +0000

gpsshogi (0.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import back again un-incorporated NMU  0.6.0-3+nmu2.  Closes: 848345
  * Use HTTPS in Vcs-* headers.
  * Apply change in git reposiotry from Daigo Moriwaki: specify QT_SELECT=qt5
    and add a patch to build with qt5.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 31 Mar 2017 00:57:08 +0200

gpsshogi (0.7.0-1) unstable; urgency=medium

  * New upstream release (r3043).
  * Remove patches that are no longer applicable:
    - debian/patches/20100206-qt-common.pro.patch
    - debian/patches/20100528-makefile_conf_remove_malloc.patch
  * Add new patches:
    - debian/patches/0001-Customize-qmake-files.patch
    - debian/patches/0002-Customize-make-files.patch
    - debian/patches/0003-Fix-compiler-warnings-with-GCC-6.patch
    (Closes: #811689)

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 04 Dec 2016 10:15:52 +0900

gpsshogi (0.6.0-3+nmu2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Steve Langasek ]
  * Remove hard-coded dependency on libosl1. (Closes: #795237)

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    (Closes: #807204)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Jan 2016 17:16:11 +0100

gpsshogi (0.6.0-3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change boost build-dep to be version-less (Closes: #759390).
  * Add hint "Shogi" to menu file.

 -- Yann Dirson <dirson@debian.org>  Thu, 09 Oct 2014 22:23:13 +0200
