=== debian/control ===
Source: gpsshogi
Section: games
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper-compat (= 12), dpkg-dev (>= 1.16.1~), libosl-dev (>= 0.8.0), libboost-all-dev, libgoogle-perftools-dev, chrpath, help2man, qtbase5-dev, qtchooser, qt5-qmake, qtbase5-dev-tools, libpoco-dev, libreadline6-dev, libgsl-dev
Standards-Version: 3.9.8
Homepage: http://gps.tanaka.ecc.u-tokyo.ac.jp/gpsshogi/pukiwiki.php
Vcs-Git: https://salsa.debian.org/debian/gpsshogi.git
Vcs-Browser: https://salsa.debian.org/debian/gpsshogi

Package: gpsshogi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gpsshogi-data (= ${source:Version})
Suggests: gpsshogi-viewer
Description: Shogi playing program based on OpenShogiLib
 GPSShogi is a Shogi playing program based on OpenShogiLib and won the 19th
 World Computer Shogi Championship. This package contains several binaries to
 play with computer Shogi.
  - gpsshogi: support the CSA protocol
  - gpsusi: support the USI protocol
  - gpsshell: shell-like client to investigate positions

Package: gpsshogi-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gpsshogi-data (= ${source:Version})
Description: Shogi studying GUI based on OpenShogiLib
 GPSShogi is a Shogi playing program based on OpenShogiLib and won the 19th
 World Computer Shogi Championship. This package contains the gpsshogi-viewer
 GUI application to investigate positions.

Package: gpsshogi-data
Architecture: all
Recommends: gpsshogi
Depends: ${misc:Depends}
Description: data files for gpsshogi
 GPSShogi is a Shogi playing program based on OpenShogiLib and won the 19th
 World Computer Shogi Championship. This package contains several binaries to
 play with computer Shogi.
  - gpsshogi: support the CSA protocol
  - gpsusi: support the USI protocol
  - gpsshogi-viewer: GUI application to investigate positions
  - gpsshell: shell-like client to investigate positions
 .
 This package contains data files defining parameters of evaluation functions,
 an opening book for gpsshogi
